package core.notevault.sync.auth;

import core.notevault.sync.StatusResponse;
import core.notevault.sync.auth.apimodel.LoginRequest;
import core.notevault.sync.auth.apimodel.LoginResponse;
import core.notevault.sync.auth.apimodel.RegisterRequest;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.Headers;
import retrofit2.http.POST;

public interface AuthService {

    @POST("/login/")
    Call<LoginResponse> login(@Body LoginRequest loginRequest);

    @POST("/register/")
    @Headers("Content-Type: application/json")
    Call<StatusResponse> registration(@Body RegisterRequest registerRequest);
}
