package core.notevault.ui.login;

import android.content.Context;
import android.util.Log;
import android.widget.Toast;
import core.notevault.sync.APICallback;

public class RegisterCallback implements APICallback {
    private Context context;

    public RegisterCallback(Context context) {
        this.context = context;
    }

    @Override
    public void onSuccess() {
        Toast.makeText(context, "Registration successfull", Toast.LENGTH_SHORT).show();
    }

    @Override
    public void onError(String error) {
        Log.d("Login", error);
        Toast.makeText(context, "Login not successfull: " + error, Toast.LENGTH_LONG).show();
    }
}
